Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## gudusoft.gsqlparser.pp.output
Enum HighlightingElement

    java.lang.Object
      java.lang.Enum<HighlightingElement>
          gudusoft.gsqlparser.pp.output.HighlightingElement

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<HighlightingElement>

    public enum HighlightingElement

extends java.lang.Enum<HighlightingElement>

Enum Constant Summary
`sfkbindvar`
`sfkBuiltInFunction`
`sfkclosebracket`
`sfkComment_dh`
`sfkComment_sign`
`sfkComment_ss`
`sfkDatatype`
`sfkDefault`
`sfkDelimitedIdentifier`
`sfkDQString`
`sfkFunction`
`sfkIdentifer`
`sfkMssqlst1`
`sfkMssqlst2`
`sfkMssqlst3`
`sfkMssqlsystemvar`
`sfkNumber`
`sfkopenbracket`
`sfkOraclecommand`
`sfkOracleexception`
`sfkOraclepackage`
`sfkOracleplsqlkeyword`
`sfkOracleplsqlmethod`
`sfkOraclerem`
`sfkOraclesqlplus`
`sfkParameter`
`sfkSpan`
`sfksqlvar`
`sfkSQString`
`sfkStandardkeyword`
`sfkSybaseglobalvar`
`sfkSybasest`
`sfkSybasesystemobj`
`sfkSymbol`
`sfkUserCustomized`
`sfkVendordbkeyword`

Method Summary
`static HighlightingElement` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static HighlightingElement[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### sfkSpan

    public static final HighlightingElement sfkSpan

### sfkIdentifer

    public static final HighlightingElement sfkIdentifer

### sfkStandardkeyword

    public static final HighlightingElement sfkStandardkeyword

### sfkNumber

    public static final HighlightingElement sfkNumber

### sfkDelimitedIdentifier

    public static final HighlightingElement sfkDelimitedIdentifier

### sfkSymbol

    public static final HighlightingElement sfkSymbol

### sfkFunction

    public static final HighlightingElement sfkFunction

### sfkBuiltInFunction

    public static final HighlightingElement sfkBuiltInFunction

### sfkDatatype

    public static final HighlightingElement sfkDatatype

### sfkParameter

    public static final HighlightingElement sfkParameter

### sfkbindvar

    public static final HighlightingElement sfkbindvar

### sfkVendordbkeyword

    public static final HighlightingElement sfkVendordbkeyword

### sfkSQString

    public static final HighlightingElement sfkSQString

### sfkDQString

    public static final HighlightingElement sfkDQString

### sfkComment_dh

    public static final HighlightingElement sfkComment_dh

### sfkComment_ss

    public static final HighlightingElement sfkComment_ss

### sfkComment_sign

    public static final HighlightingElement sfkComment_sign

### sfkMssqlsystemvar

    public static final HighlightingElement sfkMssqlsystemvar

### sfksqlvar

    public static final HighlightingElement sfksqlvar

### sfkMssqlst1

    public static final HighlightingElement sfkMssqlst1

### sfkMssqlst2

    public static final HighlightingElement sfkMssqlst2

### sfkMssqlst3

    public static final HighlightingElement sfkMssqlst3

### sfkOracleplsqlkeyword

    public static final HighlightingElement sfkOracleplsqlkeyword

### sfkOracleexception

    public static final HighlightingElement sfkOracleexception

### sfkOraclepackage

    public static final HighlightingElement sfkOraclepackage

### sfkOraclecommand

    public static final HighlightingElement sfkOraclecommand

### sfkOracleplsqlmethod

    public static final HighlightingElement sfkOracleplsqlmethod

### sfkOraclerem

    public static final HighlightingElement sfkOraclerem

### sfkOraclesqlplus

    public static final HighlightingElement sfkOraclesqlplus

### sfkSybasesystemobj

    public static final HighlightingElement sfkSybasesystemobj

### sfkSybasest

    public static final HighlightingElement sfkSybasest

### sfkSybaseglobalvar

    public static final HighlightingElement sfkSybaseglobalvar

### sfkopenbracket

    public static final HighlightingElement sfkopenbracket

### sfkclosebracket

    public static final HighlightingElement sfkclosebracket

### sfkUserCustomized

    public static final HighlightingElement sfkUserCustomized

### sfkDefault

    public static final HighlightingElement sfkDefault

Method Detail

### values

    public static final HighlightingElement[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(HighlightingElement c : HighlightingElement.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static HighlightingElement valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD